Package org.eclipse.m2m.atl.emftvm.util

# Class DefaultModuleResolverFactory

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.DefaultModuleResolverFactory

All Implemented Interfaces:
  `ModuleResolverFactory`

public class DefaultModuleResolverFactory extends Object implements ModuleResolverFactory
`ModuleResolverFactory` for `DefaultModuleResolver`s.

## Constructor Summary

Constructors
Constructor
Description
`DefaultModuleResolverFactory(String uriPrefix)`
Creates a new `DefaultModuleResolverFactory`.

## Method Summary

Modifier and Type
Method
Description
`ModuleResolver`
`createModuleResolver()`
Returns a new `ModuleResolver`.
`String`
`getUriPrefix()`
Returns the URI prefix for the `DefaultModuleResolver`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultModuleResolverFactory

public DefaultModuleResolverFactory(String uriPrefix)
Creates a new `DefaultModuleResolverFactory`.

Parameters:
  `uriPrefix` - the URI prefix for the `DefaultModuleResolver`s

## Method Details

### createModuleResolver

public ModuleResolver createModuleResolver()
Returns a new `ModuleResolver`.

Specified by:
  `createModuleResolver` in interface `ModuleResolverFactory`
Returns:
  a new `ModuleResolver`

### getUriPrefix

public String getUriPrefix()
Returns the URI prefix for the `DefaultModuleResolver`s.

Returns:
  the uriPrefix